Version: 0.12.1
Summary: UPnP AV MediaServer 
Name: mediatomb
Release: 14%{?dist}
Summary: MediaTomb - UPnP AV Mediaserver for Linux
License: GPLv2
Group: Applications/Multimedia
URL: http://mediatomb.cc
Source: http://downloads.sourceforge.net/mediatomb/%{name}-%{version}.tar.gz
# Adds handler for ogg audio metadata by default.  Submitted upstream: http://sourceforge.net/tracker/?func=detail&aid=3064466&group_id=129766&atid=715782
Patch0: mediatomb-0.12.1.fixogg.patch
# Fixes issue where video files > 999 minutes in length overrun the minutes buffer.
Patch1: mediatomb-0.12.1.fixbufferoverrun.patch
# Fix build issues related to GCC 4.6 (missing definitions.)  Submitted upstream
Patch2: mediatomb-0.12.1.fixbuild.patch
#Port to js-1.8 (thanks Jan!)  Submitted upstream: http://sourceforge.net/tracker/?func=detail&aid=3409482&group_id=129766&atid=715782
Patch3: mediatomb-0.12.1.tonewjs.patch
# Fixes to the js/native code to allow custom js parsing. Submitted upstream (with above)
Patch4: mediatomb-0.12.1-jsparse.patch 
# Allows timeseeking on ps3.  http://sourceforge.net/tracker/?func=detail&aid=3309436&group_id=129766&atid=715782
Patch5: mediatomb-0.12.1.ps3_timeseekrange.patch
# Enable album art for FLAC based on libflac.  http://sourceforge.net/tracker/?func=detail&aid=2960326&group_id=129766&atid=715782
Patch6: mediatomb-0.12.1.flacart.patch
Patch7: mediatomb-0.12.1.flacart.config.patch
# Fix youtube support.  RHBZ#747023, upstream bug http://sourceforge.net/tracker/?func=detail&aid=3382320&group_id=129766&atid=715780
Patch8: mediatomb-0.12.1.fixyoutube.patch

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
BuildRequires: automake
BuildRequires: sqlite-devel, mysql-devel, libexif-devel, id3lib-devel, file-devel, js-devel, zlib-devel, taglib-devel flac-devel
BuildRequires: expat-devel, libcurl-devel
BuildRequires: libmp4v2-devel
BuildRequires: lastfmlib-devel
%if 0%{?fedora} >= 13
%else
%if 0%{?fedora} >= 9
BuildRequires: xulrunner-devel
%else
BuildRequires: firefox-devel
%endif
%endif
Requires: mysql-libs, expat
Requires(pre): shadow-utils
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service

%description
MediaTomb is an open source (GPL) UPnP MediaServer with a nice web user 
interface, it allows you to stream your digital media through your home
network and listen to/watch it on a variety of UPnP compatible devices.

MediaTomb implements the UPnP MediaServer V 1.0 specification that can 
be found on http://www.upnp.org/.

%prep 
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p1
%patch4 -p1
%patch5 -p0
%patch6 -p0
%patch7 -p1
%patch8 -p3

%build
# Patches affect configure.ac scripts, need to autoreconf
autoreconf

# Fedora 13 on use system jsapi.h
%if 0%{?fedora} >= 13
%configure --enable-inotify --enable-taglib --enable-libjs --enable-FLAC
%else
# Fedora 11 and 12 use xulrunner 1.9.1 for jsapi.h
%if 0%{?fedora} >= 11
%configure --enable-inotify --enable-taglib --enable-libjs --with-js-h=%{_includedir}/xulrunner-sdk-1.9.1/js
%else
# Fedora 10 uses xulrunner 1.9 for jsapi.h
%if 0%{?fedora} = 10
%configure --enable-inotify --enable-taglib --enable-libjs --with-js-h=%{_includedir}/xulrunner-sdk-1.9/js
# Fedora 9 and below use system libjs
%else
%configure --enable-inotify --enable-taglib --enable-libjs
%endif
%endif
%endif
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf $RPM_BUILD_ROOT

%{__install} -p -D -m0755 scripts/mediatomb-service-fedora $RPM_BUILD_ROOT%{_initrddir}/mediatomb
%{__install} -p -D -m0644 config/mediatomb-conf-fedora $RPM_BUILD_ROOT%{_sysconfdir}/mediatomb.conf
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

# make all files under %%_sysconfdir/mediatomb are owned by
# this package
%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}/mediatomb
touch $RPM_BUILD_ROOT%{_sysconfdir}/mediatomb/{config.xml,mediatomb.db,mediatomb.html}
%{__mkdir_p}  $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d

%{__cat} > $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/%{name} << 'EOF'
/var/log/mediatomb {
create 644 root root
      monthly
      compress
      missingok
}
EOF

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%pre
getent group mediatomb >/dev/null || groupadd -r mediatomb
getent passwd mediatomb >/dev/null || \
useradd -r -g mediatomb -d %{_sysconfdir}/mediatomb -s /sbin/nologin \
    -c "To run Mediatomb" mediatomb
exit 0

%post
/sbin/chkconfig --add mediatomb

%preun
if [ $1 = 0 ]; then
        /sbin/service mediatomb stop >/dev/null 2>&1
        /sbin/chkconfig --del mediatomb
fi

%files
%defattr(-,root,root,-)
%doc README README.UTF_8 AUTHORS ChangeLog COPYING doc/doxygen.conf
%doc doc/scripting.txt doc/scripting_utf8.txt
%attr(-,mediatomb,mediatomb)%config(noreplace) %{_sysconfdir}/mediatomb.conf
%attr(-,mediatomb,mediatomb)%dir %{_sysconfdir}/%{name}/
%attr(-,mediatomb,mediatomb)%ghost %{_sysconfdir}/%{name}/*
%config(noreplace) %{_datadir}/%{name}/js/import.js
%config(noreplace) %{_datadir}/%{name}/js/playlists.js
%config(noreplace) %{_datadir}/%{name}/js/common.js
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_bindir}/mediatomb
%{_datadir}/%{name}/
%{_mandir}/man1/*
%{_initrddir}/mediatomb

%changelog
* Sun Nov 06 2011 Rich Mattes <richmattes@gmail.com> - 0.12.1-14
- Added call to autoreconf to enable flac support

* Tue Oct 18 2011 Rich Mattes <richmattes@gmail.com> - 0.12.1-13
- Fix youtube support (RHBZ#747023)
- Enable FLAC cover art via libFLAC

* Wed Jun 29 2011 Rich Mattes <richmattes@gmail.com> - 0.12.1-12
- Update to fix js printing routine

* Tue Jun 28 2011 Rich Mattes <richmattes@gmail.com> - 0.12.1-11
- Added fix for custom JS parsing failure (#714466)

* Tue Apr 19 2011 Jan Horak <jhorak@redhat.com> - 0.12.1-10
- Added Spidermonkey 1.8 patch

* Wed Mar 23 2011 Rich Mattes <richmattes@gmail.com> - 0.12.1-9
- Added more .js files as configuration files

* Tue Feb 08 2011 Rich Mattes <richmattes@gmail.com> - 0.12.1-8
- Fixed build errors for gcc 4.6 upgrade
- Changed import.js to a configuration file (rhbz #674861)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 11 2011 Rich Mattes <richmattes@gmail.com> - 0.12.1-6
- Enable lastfmlib support (rhbz #638573)

* Mon Dec 27 2010 Rich Mattes <richmattes@gmail.com> - 0.12.1-5
- Rebuild for mysql update

* Mon Nov 22 2010 Rich Mattes <richmattes@gmail.com> - 0.12.1-4
- rhbz651414: patch added to fix buffer overruns on unusually long files

* Fri Nov 12 2010 Rich Mattes <richmattes@gmail.com> - 0.12.1-3
- Add patch to enable ogg metadata by default

* Sun Jun 20 2010 Rich Mattes <richmattes@gmail.com> - 0.12.1-2
- Fixed specfile dependancies so configure only runs once
- Removed dependency on xulrunner, use system jsapi.h

* Sat Jun 12 2010 Rich Mattes <richmattes@gmail.com> - 0.12.1-1
- Update to version 12.1
- Remove some patches, now included upstream
- Fix rawhide FTBFS errors

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.11.0-11
- rebuilt with new openssl

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jun 28 2009 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.11.0-9
- Change requires from mysql to mysql-libs closes bz#483635
- Change priority of system-init scripts closes bz#487877
 
* Sun Jun 28 2009 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.11.0-8
- Added upstream patch which fixes compile time errors and a couple of segfaults

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 16 2009 Caolán McNamara <caolanm@redhat.com> 0.11.0-6
- needs to point to xulrunner/js 1.9.1 now
- include my_sys.h for my_init
- fix some char* -> const char*

* Sat Jan 24 2009 Marc Wiriadisastra <marc@mwiriadi.id.au> 0.11.0-5
- Rebuild for mysql dependancy

* Mon Dec  1 2008 Michael Schwendt <mschwendt@fedoraproject.org> 0.11.0-4
- Include /usr/share/mediatomb directory.

* Tue Oct 7 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> 0.11.0-3
- Added the line change for xulrunner

* Tue Oct 7 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> 0.11.0-2
- Added patch from upstream for Curl

* Thu Aug 28 2008 Michael Schwendt <mschwendt@fedoraproject.org> 0.11.0-2
- Include /usr/share/mediatomb directory.

* Sun Mar 2 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> 0.11.0-1
- New release version 0.11.0
- Upstream has asked me to remove libextractor
- added inotify which works
- Removed patches due to upstream inclusion
- Added expat-devel
- Build with xulrunner
- Added patch to remove automatic service up and chkconfig up

* Wed Feb 13 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> 0.10.0-9
- Rebuild for gcc4.3

* Sat Jan 5 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> 0.10.0-8
- Added patch from upstream fixes the following issues (no bugs #)
- fixes 64bit issues in libupnp
- adds correct handling of chunked encoded data in libupnp
- fixes regarding id3lib and taglib metadata extraction
- fix where sqlite database file was checked in configuration even if mysql driver was selected

* Thu Jan 3 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> 0.10.0-7
- Added mysql-devel to build requires

* Thu Jan 3 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> 0.10.0-6
- Cleaned up spec file

* Wed Jan 2 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> 0.10.0-5
- Added mysql-libs for build requires instead of mysql-devel

* Wed Jan 2 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> 0.10.0-4
- Actually added the patches to the file.
- Added the ownership changes (Mamoru Tasaka)
- Libextractor enabled

* Wed Jan 2 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> 0.10.0-3
- Added patchs to patch ownership of /etc/mediatomb.conf and /etc/mediatomb
- Adjusted pre and post scripts and add user and group mediatomb
- Changed attributes so files are owned by mediatomb
- Cleaned Requires and added two files for build-requires

* Sun Dec 23 2007 Marc Wiriadisastra <marc@mwiriadi.id.au> 0.10.0-2
- Altered spec file for inclusion into Fedora
* Wed Jul 11 2007 Sergey Bostandzhyan <jin@mediatomb.cc> 0.10.0-1
- Version is now filled in by the configure script.
* Sun May 27 2007 Sergey Bostandzhyan <jin@mediatomb.cc> 0.9.1-1
- updated the init script
* Sun Mar 25 2007 Sergey Bostandzhyan <jin@mediatomb.cc> 0.9.0-1
- Synced with the new script naming and adjusted for the release,
  added man page.
* Mon Feb 26 2007 Sergey Bostandzhyan <jin@mediatomb.cc>
- Removed some files that were no longer needed.
* Wed Sep  7 2005 Sergey Bostandzhyan <jin@mediatomb.cc>
- Removed some buildrequires, our configure script should handle different
  scenarios itself.
* Wed Jun 15 2005 Sergey Bostandzhyan <jin@mediatomb.cc>
- Added init.d script + chkconfig
* Thu Apr 14 2005 Sergey Bostandzhyan <jin@mediatomb.cc>
- Initial release

